# Adapted from https://github.com/Ontotext-AD/graphdb-docker/tree/167af9eb5503c903c5e39a090a5aef94787350f9
version: "3"

services:
  graphdb:
    container_name: graphdb
    image: ontotext/graphdb:10.4.1
    ports:
      - "7200:7200"

    environment:
      GDB_JAVA_OPTS: >-
        -Xmx${GRAPHDB_HEAP_SIZE} -Xms${GRAPHDB_HEAP_SIZE}
        -Dgraphdb.home=/opt/graphdb/home
        -Dgraphdb.workbench.importDirectory=/opt/graphdb/home/graphdb-import
        -Dgraphdb.workbench.cors.enable=true
        -Denable-context-index=true
        -Dentity-pool-implementation=transactional
        -Dhealth.max.query.time.seconds=0
        -Dgraphdb.append.request.id.headers=true
        -Dreuse.vars.in.subselects=true
    volumes:
      # Change folders in the .env file or directly here
      - ${GRAPHDB_HOME}:/opt/graphdb/home
      - ${IMPORT_FOLDER}:/opt/graphdb/home/graphdb-import
